Unity Min,Max,Close buttons not available in Libreoffice when opened by double-clicking a file

Bug #728927 reported by Saaz Rai on 2011-03-04
242
This bug affects 59 people
Affects Status Importance Assigned to Milestone
BAMF
High
Jason Smith
Unity
Fix Released
High
Jason Smith
unity-2d
Medium
Olivier Tilloy
bamf (Ubuntu)
High
Unassigned
Natty
High
Unassigned
Oneiric
High
Unassigned
libreoffice (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
unity-2d (Ubuntu)
Undecided
Olivier Tilloy
Natty
Undecided
Olivier Tilloy
Oneiric
Undecided
Olivier Tilloy

Bug Description

Binary package hint: libreoffice

Test case:
0. resize libroffice so that it's maximized at startup and close it.
1. double click on a odt in nautilus to open it
2. check that the Min/Max/Close buttons are available

The Min, Max, Close buttons the Unity Panelbar is not available when opening a file with LibreOffice. Attached screenshot. The menu that is seen on the Unity panelbar is for Nautilus as seen from the Desktop.
This issue only occurs on opening a file with Libreoffice. Opening Libreoffice application from the Application Menu is fine. Also note that the button appears if the focus is taken away from LibO and again refocused. Example opening another application and back to LibO restores the buttons. The buttons reappear also on opening and closing any LibO dialog box.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: libreoffice (not installed)
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
Architecture: i386
Date: Fri Mar 4 14:44:27 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110202)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: libreoffice
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Saaz Rai (saaz-rai) wrote :
Robert Roth (evfool) wrote :

The menu shown in the upper panel is the desktop menu, so the problem seems to me that the libreoffice window title is below the upper panel. Setting unity as also affected, as it should not let windows have their titlebar below the upper panel.

Alex Launi (alexlauni) on 2011-03-07
Changed in unity:
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in libreoffice (Ubuntu):
status: New → Confirmed
status: Confirmed → New

Same here, between LibreOffice and Evolution(AppMenu)

Bilal Akhtar (bilalakhtar) wrote :

Merging bug #760795 into this one. Someone with bug supervising privileges, please assign this to ~osomon.

Changed in unity-2d:
status: New → Fix Committed
Changed in unity-2d (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
status: New → Fix Committed
Olivier Tilloy (osomon) wrote :

Pasting my previous comment from a duplicate:

« I believe it is a bug in bamf: the matcher never seems to emit an ActiveWindowChanged signal when a new LibreOffice window appears.

A possible workaround that was implemented in Unity-2d is to also monitor the ViewOpened signal (which is correctly emitted) and update the status of the appname applet accordingly. »

Changed in unity-2d:
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → Medium
milestone: none → 3.8.4
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 3.8.4-0ubuntu1

---------------
unity-2d (3.8.4-0ubuntu1) natty; urgency=low

  * New upstream bugfix release
    * (LP: #764690) [launcher] launcher won't fully paint, corrupted view
    * (LP: #740387) graphical corruption with multiple drivers and classic desktop
    * (LP: #753269) [spread] crash when sending applications to other workspaces
    * (LP: #755599) [dash] Exiting the dash causes launcher and panel to disappear
    * (LP: #760522) [launcher] LibreOffice applications that are not favorite are all
      matched with LibreOffice Impress
    * (LP: #763116) [launcher] Launcher doesn’t autohide after an application
      requested attention
    * (LP: #684471) [dash] Default terminal PATH when opening it from the Applications
      menu is / instead of $HOME
    * (LP: #739454) [launcher] nautilus windows are not matched with the home icon
    * (LP: #741160) [launcher] Launching nautilus changes the favorite’s icon
    * (LP: #744970) [launcher] item calling for attention needs to always be visible
    * (LP: #751450) [launcher] icon for workspace switcher incorrect (back to old pink
      one)
    * (LP: #753382) [launcher] Synaptic favorite turns into software-properties
    * (LP: #759189) [dash] no singular/plural option for "See %1 more results"
    * (LP: #759776) [launcher] Looses track of open windows for synaptic and empathy
    * (LP: #728927) Unity Min,Max,Close buttons not available in Libreoffice
    * (LP: #759191) [launcher] most keyboard shortcuts don't activate properly the
      first time/ever
    * (LP: #760001) [launcher] Super key shouldn't activate dash while spread is
      (LP: #running
    * (LP: #760233) [launcher] critical warning from wnck
    * (LP: #761661) [spread] New WindowInfo objects should not be created while spread
      is inactive
    * (LP: #721121) UIFe: Icon in Launcher should be home folder icon
 -- Oliver Grawert <email address hidden> Tue, 19 Apr 2011 14:23:17 +0200

Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
status: Fix Committed → Fix Released
Didier Roche (didrocks) wrote :

Indeed, seems a bug in bamf. Jason, can you have a look at it for a 0-day SRU, please?

affects: unity (Ubuntu) → bamf (Ubuntu)
Changed in unity:
milestone: none → 3.8.12
assignee: nobody → Jason Smith (jassmith)
status: Confirmed → Triaged
importance: Undecided → High
Changed in bamf (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Changed in bamf:
status: New → Triaged
importance: Undecided → High
Didier Roche (didrocks) wrote :

FYI, Jason Warner seems to be able to reproduce that quite easily

Jason Smith (jassmith) on 2011-04-26
Changed in bamf:
status: Triaged → Fix Committed
assignee: nobody → Jason Smith (jassmith)
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-04-27
Changed in libreoffice (Ubuntu):
status: New → Invalid
David Barth (dbarth) wrote :

Moved to the normal SRU list. The fix did not solve the problem. Or at least not with the testcases that were used this morning with didrocks. Besides, it may trigger a regression with the launcher. Since It is not a critical issue, i'm reverting that to 'triaged': better safe than sorry.

Changed in unity:
milestone: 3.8.12 → 3.8.14
status: Fix Committed → Triaged
Changed in bamf:
status: Fix Committed → Triaged
Didier Roche (didrocks) on 2011-04-27
Changed in unity:
status: Triaged → Fix Released
Didier Roche (didrocks) on 2011-04-27
description: updated
summary: - Unity Min,Max,Close buttons not available in Libreoffice
+ Unity Min,Max,Close buttons not available in Libreoffice when opened by
+ double-clicking a file
Changed in bamf:
status: Triaged → Fix Released
David Barth (dbarth) on 2011-04-27
Changed in unity:
milestone: 3.8.14 → 0.2-sru
milestone: 0.2-sru → 3.8.14

Accepted bamf into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in bamf (Ubuntu Natty):
status: Triaged → Fix Committed
tags: added: verification-needed
Saaz Rai (saaz-rai) wrote :

Updated and restarted the system. The issue seems to be resolved now. Many thanks.

Giovanni Mellini (merlos) wrote :

Installed the proposed version of bamfdaemon and libbamf0 and the issue is fixed form me too. Tks

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.2.90-0ubuntu3

---------------
bamf (0.2.90-0ubuntu3) natty-proposed; urgency=low

  * Cherry-pick from upstream:
    - System Testing and Printers don't display proper menus when launched by
      command line (LP: #717134)
    - Unity Min,Max,Close buttons not available in Libreoffice when opened by
      double-clicking a file (LP: #728927)
 -- Didier Roche <email address hidden> Wed, 27 Apr 2011 17:07:18 +0200

Changed in bamf (Ubuntu Natty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied to oneiric as well.

Changed in bamf (Ubuntu Oneiric):
status: Fix Committed → Fix Released
MillenniumBug (millenniumbug) wrote :

Shouldn't this bug be removed from the release notes?

Glennz nl (glenn-de-groot) wrote :

The bug is still here, both on a Sony Vaio with Unity and an Asus EEE PC with Unity 2D. Both fully updated, fresh Oneiric installs.

Adolfo Jayme (fitojb) on 2014-01-11
no longer affects: bamf (Ubuntu Quantal)
Changed in unity (Ubuntu):
status: New → Fix Released
Rolf Leggewie (r0lf) wrote :

natty has seen the end of its life and is no longer receiving any updates. Marking the natty task for this ticket as "Won't Fix".

Changed in unity (Ubuntu Natty):
status: New → Won't Fix
Rolf Leggewie (r0lf) wrote :

oneiric has seen the end of its life and is no longer receiving any updates. Marking the oneiric task for this ticket as "Won't Fix".

Changed in unity (Ubuntu Oneiric):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments